Package org.apache.commons.math3.geometry.partitioning

# Interface BSPTree.VanishingCutHandler<S extends Space>

Type Parameters:
  `S` - Type of the space.

Enclosing class:
  `BSPTree<S extends Space>`

public static interface BSPTree.VanishingCutHandler<S extends Space>
This interface handles the corner cases when an internal node cut sub-hyperplane vanishes.

Such cases happens for example when a cut sub-hyperplane is inserted into another tree (during a merge operation), and is split in several parts, some of which becomes smaller than the tolerance. The corresponding node as then no cut sub-hyperplane anymore, but does have children. This interface specifies how to handle this situation. setting

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`BSPTree<S>`
`fixNode(BSPTree<S> node)`
Fix a node with both vanished cut and children.

## Method Details

### fixNode

BSPTree<S> fixNode(BSPTree<S> node)
Fix a node with both vanished cut and children.

Parameters:
  `node` - node to fix
Returns:
  fixed node